from PestControl import PestControl
from splashScreen import splashScreen
from gameScreen import gameScreen

def main():
    
    main_screen = gameScreen("Slicing Dicing Critter Killer 3000", 600, 1024)
    game = PestControl(main_screen)
    
    current_level = 1
    max_level = 7
    level_result = "start"
    
    while(level_result != "quit"):
    
        if level_result == "start":
            game.init_game()
    
        level_result = game.play_level(current_level)
        
        if(level_result == "win"):
            current_level += 1
            
            if(current_level > max_level):
                splashScreen(main_screen, ["You Won! Congratulations!", "Now try again!"]).show()
                current_level = 1
                
            else:
                splashScreen(main_screen, ["Level Complete!"]).show()
            
        elif(level_result == "lose"):
            
            if game.player.lives <= 0:
                splashScreen(main_screen,["You Lose.  The critters have fully harnessed the power of the Buraxolis Crystals.\n\nWhy don't you try again?"]).show()
                current_level = 1
                level_result == "start"
                
            else:
                splashScreen(main_screen, ["You failed to save the necessary crystals.\n\nLet's try that again!"]).show()
        

    
